package com.ozs.web.controller.accountmanagment;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ozs.common.annotation.Log;
import com.ozs.common.core.domain.AjaxResult;
import com.ozs.common.enums.BusinessType;
import com.ozs.entity.BaseVehicle;
import com.ozs.entity.BaseVehicleTerminal;
import com.ozs.service.BaseVehicleTerminalService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 机车车载终端信息表 前端控制器
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
@RestController
@RequestMapping("/baseVehicleTerminal")
public class BaseVehicleTerminalController {

    @Autowired
    private BaseVehicleTerminalService baseVehicleTerminalService;

    /**
     * 终端信息表 查询
     *
     * @return
     */
    @ApiOperation(value = "终端信息表 查询")
    @PostMapping("/terminalAll")
    @Log(title = "终端信息表 查询", businessType = BusinessType.SELECT)
    public AjaxResult terminalAll() {
        List<BaseVehicleTerminal> list = baseVehicleTerminalService.list();
        return AjaxResult.success(list);
    }

}

